!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_11) = -ca*ee**2d0/(4d0*cw**2d0)
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_19) = cima*gs
      coupl(nGC_18) = -gs
      coupl(nGC_996) = 4d0*cima*ee**2d0
      coupl(nGC_995) = -4d0*cima*ee**2d0
      coupl(nGC_994) = -4d0*cima*cw*ee**2d0/sw
      coupl(nGC_993) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_992) = -2d0*cima*ee**2d0/sw
      coupl(nGC_991) = 2d0*cima*ee**2d0
      coupl(nGC_521) = -coupl(nGC_226)
      coupl(nGC_527) = -coupl(nGC_222)
      coupl(nGC_1124) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**3d0*sw**2d0)
      coupl(nGC_1125) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw**3d0)
      coupl(nGC_1122) = cima*ee**2d0*vev/sw
      coupl(nGC_1123) = cima*ee**2d0/(2d0*sw)
      coupl(nGC_1120) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_1121) = -cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_858) = cima*ee/sw
      coupl(nGC_859) = -cima*cw*ee/sw**2d0
      coupl(nGC_854) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_852) = -3d0*cima*sa**4d0
      coupl(nGC_853) = -3d0*ca**4d0*cima
      coupl(nGC_850) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_851) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - l2*sa**2d0 + &
                       l3*sa**2d0)
      coupl(nGC_601) = -coupl(nGC_21)
      coupl(nGC_553) = -coupl(nGC_210)
      coupl(nGC_1153) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**3d0*sw**2d0)
      coupl(nGC_1157) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_1156) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1155) = -cima*ee**2d0*(cw - sw)**2d0*(cw + sw)**2d0/(cw**2d0*sw&
                        **2d0)
      coupl(nGC_1154) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**2d0*sw**3d0)
      coupl(nGC_1159) = -ca*cima*l3
      coupl(nGC_1158) = cima*l1*sa
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_849) = ca*cima*ee/(2d0*sw)
      coupl(nGC_848) = -ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_845) = ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_844) = -sqrt(2d0)/2d0
      coupl(nGC_847) = cima*ee*sa/(2d0*sw)
      coupl(nGC_846) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_841) = -3d0*ca**4d0*cima
      coupl(nGC_840) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + l1*sa**2d0 &
                        - l3*sa**2d0)
      coupl(nGC_843) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_842) = -3d0*cima*sa**4d0
      coupl(nGC_1207) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_1206) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1205) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1204) = cima*ee*sw/cw
      coupl(nGC_1203) = cima*ee/cw
      coupl(nGC_1202) = -cima*ee*sw/cw**2d0
      coupl(nGC_1201) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_1200) = ca**2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1209) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                        2d0*sw**2d0)
      coupl(nGC_1208) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_383) = sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_381) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_387) = cima*gs
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_126) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_127) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(2d0*cw)
      coupl(nGC_124) = cima*ee*sw/cw
      coupl(nGC_125) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_122) = cima*ee*sw/(3d0*cw)
      coupl(nGC_123) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_120) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_121) = cima*ee**2d0*sa/sw
      coupl(nGC_128) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_129) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_577) = -coupl(nGC_74)
      coupl(nGC_878) = 2d0*cima*cw*ee/sw**2d0
      coupl(nGC_879) = -2d0*cima*cw*ee/sw
      coupl(nGC_872) = 2d0*cima*ee/sw
      coupl(nGC_873) = -2d0*cima*cw*ee/sw**2d0
      coupl(nGC_874) = 2d0*cima*cw*ee/sw
      coupl(nGC_875) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_876) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_877) = -2d0*cima*ee/sw
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_1217) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_1211) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_1218) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_1219) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_1126) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1214) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1179) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1178) = ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_1215) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1175) = ee*sa*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_1177) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_1176) = -ee*sa*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_1216) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1210) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_1212) = -ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0&
                        *sw**2d0)
      coupl(nGC_1213) = ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw&
                        **2d0)
      coupl(nGC_135) = -cw*ee*sa/(2d0*sw) - ee*sa*sw/(2d0*cw)
      coupl(nGC_134) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_136) = cw*ee*sa/(2d0*sw) + ee*sa*sw/(2d0*cw)
      coupl(nGC_131) = ca*cw*ee/(2d0*sw) + ca*ee*sw/(2d0*cw)
      coupl(nGC_130) = -ca*cw*ee/(2d0*sw) - ca*ee*sw/(2d0*cw)
      coupl(nGC_133) = cima*cw*ee**2d0/sw - cima*ee**2d0*sw/cw
      coupl(nGC_132) = cima*cw*ee**2d0/(2d0*sw) - cima*ee**2d0*sw/(2d0*cw)
      coupl(nGC_139) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 -    &
                       cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_138) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/2d0  &
                        - cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_867) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_866) = -ca*cima*ee**2d0/sw
      coupl(nGC_865) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_864) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_863) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_862) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_861) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3)
      coupl(nGC_860) = cima*cw*ee/sw
      coupl(nGC_1197) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_1196) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_1195) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1194) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1193) = -cima*sa*vevs
      coupl(nGC_1192) = -ca*cima*vev
      coupl(nGC_1191) = cima*(-ca*l3*vevs + l1*sa*vev)
      coupl(nGC_1190) = -cima*l3*sa
      coupl(nGC_1199) = -ca**2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1198) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw** &
                        2d0*sw**2d0)
      coupl(nGC_1221) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1220) = -sqrt(2d0)/2d0
      coupl(nGC_1223) = ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1222) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_1225) = ca**2d0*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_1224) = -ca**2d0*cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw&
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1227) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1226) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_1229) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1228) = sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_1012) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/( &
                        cw**2d0*sw**3d0)
      coupl(nGC_1013) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1010) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_1011) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(&
                        cw**3d0*sw**2d0)
      coupl(nGC_1168) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1169) = sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_1162) = -ca*cima*vevs
      coupl(nGC_1160) = cima*(ca*l1*vev + l3*sa*vevs)
      coupl(nGC_1161) = cima*sa*vev
      coupl(nGC_100) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_101) = ca*cima*ee/(2d0*sw)
      coupl(nGC_102) = -cima*cw*ee/sw
      coupl(nGC_103) = cima*cw*ee/sw
      coupl(nGC_104) = -2d0*cima*cw*ee/sw
      coupl(nGC_105) = 2d0*cima*cw*ee/sw
      coupl(nGC_107) = -ee**2d0/(2d0*sw)
      coupl(nGC_108) = ee**2d0/(2d0*sw)
      coupl(nGC_109) = ee**2d0/sw
      coupl(nGC_569) = -coupl(nGC_218)
      coupl(nGC_812) = -ca*cima*sa
      coupl(nGC_813) = 2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_810) = cima*(ca - sa)*(ca + sa)*(l1 - l3)
      coupl(nGC_811) = ca*cima*sa
      coupl(nGC_816) = -2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_817) = -cima*sa**2d0
      coupl(nGC_814) = -ca**2d0*cima
      coupl(nGC_815) = -cima*sa**2d0
      coupl(nGC_818) = -ca**2d0*cima
      coupl(nGC_819) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_1184) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1185) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1186) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_1187) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_1180) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1181) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_1182) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_1183) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw** &
                        2d0*sw**2d0)
      coupl(nGC_910) = -cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1188) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                        2d0*sw**2d0)
      coupl(nGC_1189) = -ca*cima*l1
      coupl(nGC_928) = cima*ee**2d0*sa/sw
      coupl(nGC_929) = ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_927) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_922) = 2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_920) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_921) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_1238) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1239) = sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_1236) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1237) = sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_1234) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_1235) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_1232) = sqrt(2d0)/2d0
      coupl(nGC_1233) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_1230) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1231) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_611) = -2d0*coupl(nGC_8)
      coupl(nGC_613) = -2d0*coupl(nGC_101)
      coupl(nGC_615) = -coupl(nGC_104)/2d0
      coupl(nGC_617) = -2d0*coupl(nGC_97)
      coupl(nGC_619) = -2d0*coupl(nGC_98)
      coupl(nGC_916) = -cima*ee**2d0*sa/sw
      coupl(nGC_119) = -cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_118) = cima*ee*sa/(2d0*sw)
      coupl(nGC_117) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_116) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_115) = -2d0*cima*cw*ee**2d0/sw
      coupl(nGC_114) = cima*cw*ee**2d0/sw
      coupl(nGC_113) = -cima*cw*ee**2d0/sw
      coupl(nGC_112) = -ca*cima*ee**2d0/sw
      coupl(nGC_111) = ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_110) = -ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_559) = -coupl(nGC_105)/2d0
      coupl(nGC_551) = -2d0*coupl(nGC_135)
      coupl(nGC_573) = -2d0*coupl(nGC_3)
      coupl(nGC_589) = coupl(nGC_6)/2d0
      coupl(nGC_585) = -coupl(nGC_5)/2d0
      coupl(nGC_587) = -coupl(nGC_206)
      coupl(nGC_581) = 2d0*coupl(nGC_21)
      coupl(nGC_583) = -coupl(nGC_4)
      coupl(nGC_607) = coupl(nGC_17)/2d0
      coupl(nGC_605) = -coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_529) = -2d0*coupl(nGC_130)
      coupl(nGC_525) = -coupl(nGC_3)
      coupl(nGC_637) = -2d0*coupl(nGC_136)
      coupl(nGC_635) = -coupl(nGC_17)/2d0
      coupl(nGC_631) = -2d0*coupl(nGC_118)
      coupl(nGC_523) = -coupl(nGC_98)
      coupl(nGC_633) = coupl(nGC_5)/2d0
      coupl(nGC_565) = -coupl(nGC_6)/2d0
      coupl(nGC_563) = -2d0*coupl(nGC_117)
      coupl(nGC_599) = -coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_609) = -coupl(nGC_102)
      coupl(nGC_593) = -2d0*coupl(nGC_72)
      coupl(nGC_591) = coupl(nGC_105)/2d0
      coupl(nGC_561) = -coupl(nGC_18)
      coupl(nGC_597) = coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_595) = coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_575) = coupl(nGC_74)/2d0
      coupl(nGC_571) = -coupl(nGC_100)
      coupl(nGC_579) = -coupl(nGC_198)
      coupl(nGC_639) = -coupl(nGC_128)
      coupl(nGC_557) = -2d0*coupl(nGC_128)
      coupl(nGC_555) = -coupl(nGC_130)
      coupl(nGC_539) = -coupl(nGC_103)
      coupl(nGC_625) = -2d0*coupl(nGC_127)
      coupl(nGC_627) = -2d0*coupl(nGC_131)
      coupl(nGC_621) = -coupl(nGC_117)
      coupl(nGC_623) = -2d0*coupl(nGC_100)
      coupl(nGC_629) = -2d0*coupl(nGC_4)
      coupl(nGC_541) = -coupl(nGC_136)
      coupl(nGC_547) = coupl(nGC_10)/2d0
      coupl(nGC_543) = coupl(nGC_104)/2d0
      coupl(nGC_549) = -coupl(nGC_10)
      coupl(nGC_533) = -coupl(nGC_118)
      coupl(nGC_535) = -coupl(nGC_101)
      coupl(nGC_545) = -coupl(nGC_116)/2d0
      coupl(nGC_537) = -coupl(nGC_194)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
