!******************************************************************************!
!                                                                              !
!    ctparameter152.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter152.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter152
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter152()
  if (dMM_QED2_scheme .eq. 0) then
    dMM_QED2 = cima*(coupl(nGC_212)*dtHl_QED1/cMHL**2d0 + coupl(nGC_211)*      &
               dtHh_QED1/cMHH**2d0) + (2d0*Ten414*cMM*coupl(nGC_4)**2d0 +      &
               Ten415*cMM*(-coupl(nGC_124)**2d0 + 4d0*coupl(nGC_124)*coupl(    &
               nGC_128) - coupl(nGC_128)**2d0) + Ten416*cMM*coupl(nGC_211)**2d0&
                + Ten417*cMM*coupl(nGC_212)**2d0 - 2d0*Ten418*cMM*coupl(nGC_4  &
               )**2d0 + Ten419*cMM*(coupl(nGC_209)**2d0 + 2d0*coupl(nGC_99)**  &
               2d0)/2d0 + Ten420*cMM*(-coupl(nGC_124)**2d0 - coupl(nGC_128)**  &
               2d0 + coupl(nGC_210)**2d0) - Ten421*cMM*coupl(nGC_211)**2d0 -   &
               Ten422*cMM*coupl(nGC_212)**2d0 + 2d0*Ten423*cMM*coupl(nGC_211)**&
               2d0*rMM*(-cMM + rMM) + 2d0*Ten424*cMM*coupl(nGC_212)**2d0*rMM*(-&
               cMM + rMM) + 4d0*Ten425*coupl(nGC_4)**2d0*rMM*(2d0*cMM**2d0 -   &
               3d0*cMM*rMM + rMM**2d0) + 2d0*Ten426*rMM*(4d0*cMM**2d0*coupl(   &
               nGC_124)*coupl(nGC_128) - cMM**2d0*coupl(nGC_210)**2d0 - cMM*   &
               coupl(nGC_124)**2d0*rMM - 4d0*cMM*coupl(nGC_124)*coupl(nGC_128)*&
               rMM - cMM*coupl(nGC_128)**2d0*rMM + 2d0*cMM*coupl(nGC_210)**2d0*&
               rMM + coupl(nGC_124)**2d0*rMM**2d0 + coupl(nGC_128)**2d0*rMM**  &
               2d0 - coupl(nGC_210)**2d0*rMM**2d0) + 2d0*Ten427*coupl(nGC_211  &
               )**2d0*rMM**2d0*(cMM - rMM) + 2d0*Ten428*coupl(nGC_212)**2d0*rMM&
               **2d0*(cMM - rMM) + 4d0*Ten429*coupl(nGC_4)**2d0*rMM**2d0*(-cMM &
                + rMM) + Ten430*rMM**2d0*(cMM*coupl(nGC_209)**2d0 + 2d0*cMM*   &
               coupl(nGC_99)**2d0 - coupl(nGC_209)**2d0*rMM - 2d0*coupl(nGC_99 &
               )**2d0*rMM) + 2d0*Ten431*rMM**2d0*(-cMM*coupl(nGC_124)**2d0 -   &
               cMM*coupl(nGC_128)**2d0 + cMM*coupl(nGC_210)**2d0 + coupl(      &
               nGC_124)**2d0*rMM + coupl(nGC_128)**2d0*rMM - coupl(nGC_210)**  &
               2d0*rMM) + (-16d0*pi*aEW*cMM**2d0 + 16d0*pi*aEW*rMM**2d0 + cMM* &
               coupl(nGC_124)**2d0*rMM - 4d0*cMM*coupl(nGC_124)*coupl(nGC_128)*&
               rMM + cMM*coupl(nGC_128)**2d0*rMM - 2d0*cMM*coupl(nGC_4)**2d0*  &
               rMM + cMM*coupl(nGC_99)**2d0*rMM)/(2d0*rMM))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMM_QED2 = cone*real(dMM_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter152
end module ctparameter152
