!******************************************************************************!
!                                                                              !
!    ctparameter164.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter164.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter164
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter164()
  if (dMD_QED2_scheme .eq. 0) then
    dMD_QED2 = cima*(coupl(nGC_204)*dtHl_QED1/cMHL**2d0 + coupl(nGC_203)*      &
               dtHh_QED1/cMHH**2d0) + (2d0*Ten244*cMD*coupl(nGC_1)**2d0 +      &
               Ten245*cMD*(-coupl(nGC_122)**2d0 + 4d0*coupl(nGC_122)*coupl(    &
               nGC_125) - coupl(nGC_125)**2d0) - Ten246*(cMD*coupl(nGC_201)**  &
               2d0 + cMD*coupl(nGC_225)**2d0 + 2d0*cMD*coupl(nGC_99)**2d0 + 2d0&
               *cMU*coupl(nGC_201)*coupl(nGC_225))/2d0 + Ten247*cMD*coupl(     &
               nGC_204)**2d0 + Ten248*cMD*coupl(nGC_203)**2d0 - 2d0*Ten249*cMD*&
               coupl(nGC_1)**2d0 + Ten250*cMD*(-coupl(nGC_122)**2d0 - coupl(   &
               nGC_125)**2d0 + coupl(nGC_202)**2d0) - Ten251*cMD*(coupl(nGC_201&
               )**2d0 + coupl(nGC_225)**2d0 + 2d0*coupl(nGC_99)**2d0)/2d0 -    &
               Ten252*cMD*coupl(nGC_204)**2d0 - Ten253*cMD*coupl(nGC_203)**2d0 &
                + cMD*(-2d0*coupl(nGC_1)**2d0 + coupl(nGC_122)**2d0 - 4d0*coupl&
               (nGC_122)*coupl(nGC_125) + coupl(nGC_125)**2d0 + coupl(nGC_99)**&
               2d0)/2d0)/(16d0*pi**2d0)
    dMD_QED2 = cone*real(dMD_QED2,kind=dp)
  end if 
end subroutine set_ctparameter164
end module ctparameter164
