!******************************************************************************!
!                                                                              !
!    ctparameter35.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter35.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter35
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter35()
  if (dMS_QCD2_scheme .eq. 0) then
    dMS_QCD2 = (cMS*coupl(nGC_19)**2d0*(-Nc**2d0 + 1d0)/(2d0*Nc) + cMS*coupl(  &
               nGC_19)**2d0*(Ten308*(Nc**2d0 - 1d0) + Ten313*(-Nc**2d0 + 1d0))/&
               Nc)/(16d0*pi**2d0)
    dMS_QCD2 = cone*real(dMS_QCD2,kind=dp)
  end if 
end subroutine set_ctparameter35
end module ctparameter35
