!******************************************************************************!
!                                                                              !
!    ctparameter62.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter62.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter62
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter62()
  if (dZuL_QED2_scheme .eq. 1) then
    dZuL_QED2 = (2d0*Ten219*coupl(nGC_2)**2d0 + 2d0*Ten220*coupl(nGC_126)**2d0 &
                 + 2d0*Ten221*coupl(nGC_99)**2d0 + 2d0*Ten224*coupl(nGC_2)**2d0&
                 + 2d0*Ten225*coupl(nGC_126)**2d0 + 2d0*Ten226*coupl(nGC_99)** &
                2d0 - 4d0*Ten231*cMU_reg**2d0*coupl(nGC_2)**2d0 + 4d0*Ten236*  &
                cMU_reg**2d0*coupl(nGC_2)**2d0 - coupl(nGC_126)**2d0 - coupl(  &
                nGC_2)**2d0 - coupl(nGC_99)**2d0)/(16d0*pi**2d0)
    dZuL_QED2 = cone*real(dZuL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter62
end module ctparameter62
