!******************************************************************************!
!                                                                              !
!    ctparameter77.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter77.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter77
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter77()
  dZtR_QED2 = (2d0*Ten372*coupl(nGC_2)**2d0 + Ten373*(2d0*coupl(nGC_123)**2d0  &
               - coupl(nGC_218)**2d0) + Ten374*coupl(nGC_217)**2d0 - Ten375*   &
              coupl(nGC_220)**2d0 - Ten376*coupl(nGC_219)**2d0 + 2d0*Ten377*   &
              coupl(nGC_2)**2d0 + Ten378*(2d0*coupl(nGC_123)**2d0 - coupl(     &
              nGC_218)**2d0) + Ten379*coupl(nGC_217)**2d0 + 2d0*Ten382*cMT*    &
              coupl(nGC_220)**2d0*rMT + 2d0*Ten383*cMT*coupl(nGC_219)**2d0*rMT &
               + 4d0*Ten384*coupl(nGC_2)**2d0*rMT*(-2d0*cMT + rMT) + 2d0*Ten385&
              *rMT*(-4d0*cMT*coupl(nGC_123)*coupl(nGC_126) + cMT*coupl(nGC_218 &
              )**2d0 + coupl(nGC_123)**2d0*rMT + coupl(nGC_126)**2d0*rMT -     &
              coupl(nGC_218)**2d0*rMT) + Ten386*rMT*(2d0*cMB*coupl(nGC_193)*   &
              coupl(nGC_217) + coupl(nGC_193)**2d0*rMT + coupl(nGC_217)**2d0*  &
              rMT + 2d0*coupl(nGC_99)**2d0*rMT) - 2d0*Ten387*coupl(nGC_220)**  &
              2d0*rMT**2d0 - 2d0*Ten388*coupl(nGC_219)**2d0*rMT**2d0 + 4d0*    &
              Ten389*coupl(nGC_2)**2d0*rMT**2d0 + 2d0*Ten390*rMT**2d0*(coupl(  &
              nGC_123)**2d0 + coupl(nGC_126)**2d0 - coupl(nGC_218)**2d0) +     &
              Ten391*rMT**2d0*(coupl(nGC_193)**2d0 + coupl(nGC_217)**2d0 + 2d0*&
              coupl(nGC_99)**2d0) - coupl(nGC_123)**2d0 - coupl(nGC_2)**2d0)/( &
              16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtR_QED2 = cone*real(dZtR_QED2,kind=dp)
    end if 
end subroutine set_ctparameter77
end module ctparameter77
