!******************************************************************************!
!                                                                              !
!    derived_ctparameter.f90                                                   !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   derived_ctparameter.f90                        |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 18:21             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module derived_ctparameter
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_derived_ctparameter()
  dmu12_QED2 = ca*dtb_QED2*sa*(-cMHH**2d0 + cMHL**2d0)/2d0 + dMHH2_QED2*(-ca*sa&
               *tb + sa**2d0 - 1d0)/2d0 + dMHL2_QED2*sa*(ca*tb - sa)/2d0 +     &
               da_QED2*(2d0*cMHH**2d0*ca*sa + 2d0*cMHH**2d0*sa**2d0*tb - cMHH**&
               2d0*tb - 2d0*cMHL**2d0*ca*sa - 2d0*cMHL**2d0*sa**2d0*tb + cMHL**&
               2d0*tb)/2d0
  dg1_QED3 = ee*(-2d0*dZee_QED2/cw - cw*dMZ2_QED2/cMW**2d0 + dMW2_QED2/(cMW**  &
             2d0*cw))/4d0
  dcw_QED2 = cw*(dMW2_QED2 + dMZ2_QED2*(sw**2d0 - 1d0))/(2d0*cMW**2d0)
  dsw_QED2 = cw**2d0*(cw**2d0*dMZ2_QED2 - dMW2_QED2)/(2d0*cMW**2d0*sw)
  dyup_QED3 = sqrt(2d0)*ee*(2d0*cMU*dZee_QED2 + cMU*dMW2_QED2*(-2d0*sw**2d0 +  &
              1d0)/(cMW**2d0*sw**2d0) + cMU*dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0  &
               - 1d0)/(cMW**2d0*sw**2d0) + 2d0*dMU_QED2)/(4d0*cMW*sw)
  dyup_QED1_QCD2 = sqrt(2d0)*dMU_QCD2*ee/(2d0*cMW*sw)
  dytau_QED3 = sqrt(2d0)*ee*(2d0*cMTA*dZee_QED2 + cMTA*dMW2_QED2*(-2d0*sw**2d0 &
                + 1d0)/(cMW**2d0*sw**2d0) + cMTA*dMZ2_QED2*(-sw**4d0 + 2d0*sw**&
               2d0 - 1d0)/(cMW**2d0*sw**2d0) + 2d0*dMTA_QED2)/(4d0*cMW*sw)
  dyt_QED1_QCD2 = sqrt(2d0)*dMT_QCD2*ee/(2d0*cMW*sw)
  dyt_QED3 = sqrt(2d0)*ee*(2d0*cMT*dZee_QED2 + cMT*dMW2_QED2*(-2d0*sw**2d0 +   &
             1d0)/(cMW**2d0*sw**2d0) + cMT*dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - &
             1d0)/(cMW**2d0*sw**2d0) + 2d0*dMT_QED2)/(4d0*cMW*sw)
  dydo_QED3 = sqrt(2d0)*ee*(2d0*cMD*dZee_QED2 + cMD*dMW2_QED2*(-2d0*sw**2d0 +  &
              1d0)/(cMW**2d0*sw**2d0) + cMD*dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0  &
               - 1d0)/(cMW**2d0*sw**2d0) + 2d0*dMD_QED2)/(4d0*cMW*sw)
  dydo_QED1_QCD2 = sqrt(2d0)*dMD_QCD2*ee/(2d0*cMW*sw)
  dmu22_QED2 = (ca*dtb_QED2*sa*(cMHH**2d0 - cMHL**2d0)/tb - dMHH2_QED2*sa*(ca  &
                + sa*tb) + dMHL2_QED2*(ca*sa + sa**2d0*tb - tb) + da_QED2*(-2d0&
               *cMHH**2d0*ca*sa*tb + 2d0*cMHH**2d0*sa**2d0 - cMHH**2d0 + 2d0*  &
               cMHL**2d0*ca*sa*tb - 2d0*cMHL**2d0*sa**2d0 + cMHL**2d0))/(2d0*tb&
               )
  dsw2_QED2 = cw**2d0*(cw**2d0*dMZ2_QED2 - dMW2_QED2)/cMW**2d0
  dys_QED3 = sqrt(2d0)*ee*(2d0*cMS*dZee_QED2 + cMS*dMW2_QED2*(-2d0*sw**2d0 +   &
             1d0)/(cMW**2d0*sw**2d0) + cMS*dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - &
             1d0)/(cMW**2d0*sw**2d0) + 2d0*dMS_QED2)/(4d0*cMW*sw)
  dys_QED1_QCD2 = sqrt(2d0)*dMS_QCD2*ee/(2d0*cMW*sw)
  dym_QED3 = sqrt(2d0)*ee*(2d0*cMM*dZee_QED2 + cMM*dMW2_QED2*(-2d0*sw**2d0 +   &
             1d0)/(cMW**2d0*sw**2d0) + cMM*dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - &
             1d0)/(cMW**2d0*sw**2d0) + 2d0*dMM_QED2)/(4d0*cMW*sw)
  dvevs_QED1 = (-2d0*cMW*dZee_QED2*sw*tb + 2d0*cMW*dtb_QED2*sw + cw**4d0*      &
               dMZ2_QED2*tb/(cMW*sw) + dMW2_QED2*tb*(-cw**2d0 + sw**2d0)/(cMW* &
               sw))/ee
  dMPS_QED2 = sqrt(2d0)*(dMHH2_QED2 + dMHL2_QED2)/(4d0*sqrt(cMHH**2d0 + cMHL** &
              2d0))
  dye_QED3 = sqrt(2d0)*ee*(2d0*cME*dZee_QED2 + cME*dMW2_QED2*(-2d0*sw**2d0 +   &
             1d0)/(cMW**2d0*sw**2d0) + cME*dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - &
             1d0)/(cMW**2d0*sw**2d0) + 2d0*dME_QED2)/(4d0*cMW*sw)
  dyb_QED3 = sqrt(2d0)*ee*(2d0*cMB*dZee_QED2 + cMB*dMW2_QED2*(-2d0*sw**2d0 +   &
             1d0)/(cMW**2d0*sw**2d0) + cMB*dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - &
             1d0)/(cMW**2d0*sw**2d0) + 2d0*dMB_QED2)/(4d0*cMW*sw)
  dyb_QED1_QCD2 = sqrt(2d0)*dMB_QCD2*ee/(2d0*cMW*sw)
  dyc_QED3 = sqrt(2d0)*ee*(2d0*cMC*dZee_QED2 + cMC*dMW2_QED2*(-2d0*sw**2d0 +   &
             1d0)/(cMW**2d0*sw**2d0) + cMC*dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - &
             1d0)/(cMW**2d0*sw**2d0) + 2d0*dMC_QED2)/(4d0*cMW*sw)
  dyc_QED1_QCD2 = sqrt(2d0)*dMC_QCD2*ee/(2d0*cMW*sw)
  dl3_QED4 = ee**2d0*(ca*dMHH2_QED2*sa*(-cw**2d0 + 1d0) + ca*dMHL2_QED2*sa*(cw &
             **2d0 - 1d0) + 2d0*ca*dZee_QED2*sa*(-cMHH**2d0*cw**2d0 + cMHH**2d0&
              + cMHL**2d0*cw**2d0 - cMHL**2d0) + ca*dtb_QED2*sa*(cMHH**2d0*cw**&
             2d0 - cMHH**2d0 - cMHL**2d0*cw**2d0 + cMHL**2d0)/tb + da_QED2*(2d0&
             *cMHH**2d0*cw**2d0*sa**2d0 - cMHH**2d0*cw**2d0 - 2d0*cMHH**2d0*sa &
             **2d0 + cMHH**2d0 - 2d0*cMHL**2d0*cw**2d0*sa**2d0 + cMHL**2d0*cw**&
             2d0 + 2d0*cMHL**2d0*sa**2d0 - cMHL**2d0) + ca*cw**4d0*dMZ2_QED2*sa&
             *(-cMHH**2d0 + cMHL**2d0)/cMW**2d0 + ca*dMW2_QED2*sa*(2d0*cMHH**  &
             2d0*cw**2d0 - cMHH**2d0 - 2d0*cMHL**2d0*cw**2d0 + cMHL**2d0)/cMW**&
             2d0)/(4d0*cMW**2d0*tb*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dl2_QED4 = ee**2d0*(2d0*ca*da_QED2*sa*(-cMHH**2d0*cw**2d0 + cMHH**2d0 + cMHL &
             **2d0*cw**2d0 - cMHL**2d0) + dMHH2_QED2*sa**2d0*(-cw**2d0 + 1d0   &
             ) + dMHL2_QED2*(cw**2d0*sa**2d0 - cw**2d0 - sa**2d0 + 1d0) + 2d0* &
             dZee_QED2*(-cMHH**2d0*cw**2d0*sa**2d0 + cMHH**2d0*sa**2d0 + cMHL**&
             2d0*cw**2d0*sa**2d0 - cMHL**2d0*cw**2d0 - cMHL**2d0*sa**2d0 + cMHL&
             **2d0) + 2d0*dtb_QED2*(cMHH**2d0*cw**2d0*sa**2d0 - cMHH**2d0*sa** &
             2d0 - cMHL**2d0*cw**2d0*sa**2d0 + cMHL**2d0*cw**2d0 + cMHL**2d0*sa&
             **2d0 - cMHL**2d0)/tb + cw**4d0*dMZ2_QED2*(-cMHH**2d0*sa**2d0 +   &
             cMHL**2d0*sa**2d0 - cMHL**2d0)/cMW**2d0 + dMW2_QED2*(2d0*cMHH**2d0&
             *cw**2d0*sa**2d0 - cMHH**2d0*sa**2d0 - 2d0*cMHL**2d0*cw**2d0*sa** &
             2d0 + 2d0*cMHL**2d0*cw**2d0 + cMHL**2d0*sa**2d0 - cMHL**2d0)/cMW**&
             2d0)/(4d0*cMW**2d0*tb**2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dl1_QED4 = ee**2d0*(2d0*ca*da_QED2*sa*(cMHH**2d0*cw**2d0 - cMHH**2d0 - cMHL**&
             2d0*cw**2d0 + cMHL**2d0) + dMHH2_QED2*(cw**2d0*sa**2d0 - cw**2d0  &
              - sa**2d0 + 1d0) + dMHL2_QED2*sa**2d0*(-cw**2d0 + 1d0) + 2d0*    &
             dZee_QED2*(cMHH**2d0*cw**2d0*sa**2d0 - cMHH**2d0*cw**2d0 - cMHH** &
             2d0*sa**2d0 + cMHH**2d0 - cMHL**2d0*cw**2d0*sa**2d0 + cMHL**2d0*sa&
             **2d0) + cw**4d0*dMZ2_QED2*(cMHH**2d0*sa**2d0 - cMHH**2d0 - cMHL**&
             2d0*sa**2d0)/cMW**2d0 + dMW2_QED2*(-2d0*cMHH**2d0*cw**2d0*sa**2d0 &
              + 2d0*cMHH**2d0*cw**2d0 + cMHH**2d0*sa**2d0 - cMHH**2d0 + 2d0*   &
             cMHL**2d0*cw**2d0*sa**2d0 - cMHL**2d0*sa**2d0)/cMW**2d0)/(4d0*cMW &
             **2d0*(cw**4d0 - 2d0*cw**2d0 + 1d0))
  dvev_QED1 = (2d0*cMW*dZee_QED2*(cw**2d0 - 1d0) + cw**4d0*dMZ2_QED2/cMW +     &
              dMW2_QED2*(-2d0*cw**2d0 + 1d0)/cMW)/(ee*sw)
  dgw_QED3 = ee*(2d0*dZee_QED2 - cw**4d0*dMZ2_QED2/(cMW**2d0*sw**2d0) + cw**2d0&
             *dMW2_QED2/(cMW**2d0*sw**2d0))/(2d0*sw)
end subroutine set_derived_ctparameter
end module derived_ctparameter
